=== tests/bmp/CMakeLists.txt ===
LIST(APPEND TESTS_FILES
	bmp_null
	bug00275
	bug00450
	bmp_im2im
	bug00276
)

ADD_GD_TESTS()
