=== tests/gdtransformaffinecopy/CMakeLists.txt ===
LIST(APPEND TESTS_FILES
	github_bug_00583
	github_bug_00585
	github_bug_00586
	github_bug_00596
)

ADD_GD_TESTS()
