=== tests/png/CMakeLists.txt ===
IF(PNG_FOUND)
LIST(APPEND TESTS_FILES
	png_im2im
	png_null
	png_resolution
	bug00011
	bug00033
	bug00086
	bug00088
	bug00193
	bug00338
	bug00381_1
)

IF(ENABLE_GD_FORMATS)
LIST(APPEND TESTS_FILES
	bug00381_2
)
ENDIF(ENABLE_GD_FORMATS)
ENDIF(PNG_FOUND)

ADD_GD_TESTS()
